<?php
namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00006000RelacElementoFactory;
use Teknisa\Libs\Util\Environment;

class Sm00006000RelacElementoService
{
    
    protected $RelacElementoFactory;
    protected $Environment;
    
    public function __construct (Sm00006000RelacElementoFactory $RelacElementoFactory, Environment $Environment){
        
        $this->RelacElementoFactory  = $RelacElementoFactory;
        $this->Environment  = $Environment;

    }
    
    /**
     * A função "validaServicoRelacionado" verifica se o serviço 
     * que está sendo relacionado já existe está relacionadoao serviço.
     */
     
    public function validaServicoRelacionado($servOrcaRelac, $servOrca, $tipoMedida){
    
        $paramsValidaServRelac = array(
            "CDSERVORCARELAC"  => implode(',', $servOrcaRelac),
            "CDSERVORCA"       => $servOrca,
            "CDTPMEDIDASERV"   => $tipoMedida,
            "NRORG"            => $this->Environment->getNrOrg()
        );
        
        $returnValidaServRelac = $this->RelacElementoFactory->validaServicoRelacionado($paramsValidaServRelac);
        
        return $returnValidaServRelac[0]["VALIDASERV"] != 0;
        
    }

}
?>